Retrieve an automation test run
curl --request GET \
--url https://api.sendrealm.com/automation-test-runs/{runId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/automation-test-runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/automation-test-runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automation_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_event_name": "<string>",
"resolved_identity_type": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"status": "<string>",
"last_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"virtual_now": "2023-11-07T05:31:56Z",
"terminal_reason": "<string>",
"completed_step_key": "<string>",
"cancellation_requested_at": "2023-11-07T05:31:56Z",
"cancellation_reason": "<string>",
"canceled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"trigger_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"payload": {},
"correlation": {
"key": "<string>",
"value": "<string>"
},
"occurred_at": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"status": "<string>",
"branch_taken": "<string>",
"input": "<string>",
"output": "<string>",
"last_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"waits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"waiting_for_event_name": "<string>",
"status": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"timeout_at": "2023-11-07T05:31:56Z",
"resumed_at": "2023-11-07T05:31:56Z",
"timed_out_at": "2023-11-07T05:31:56Z",
"outcome_branch": "<string>",
"resumed_by_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"occurred_at": "2023-11-07T05:31:56Z"
}
}
],
"linked_emails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"linked_push_notifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"waits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"waiting_for_event_name": "<string>",
"status": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"timeout_at": "2023-11-07T05:31:56Z",
"resumed_at": "2023-11-07T05:31:56Z",
"timed_out_at": "2023-11-07T05:31:56Z",
"outcome_branch": "<string>",
"resumed_by_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"occurred_at": "2023-11-07T05:31:56Z"
}
}
],
"sent_emails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"sent_push_notifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Automations
Retrieve Automation Test Run
GET
/
automation-test-runs
/
{runId}
Retrieve an automation test run
curl --request GET \
--url https://api.sendrealm.com/automation-test-runs/{runId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/automation-test-runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/automation-test-runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automation_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_event_name": "<string>",
"resolved_identity_type": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"status": "<string>",
"last_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"virtual_now": "2023-11-07T05:31:56Z",
"terminal_reason": "<string>",
"completed_step_key": "<string>",
"cancellation_requested_at": "2023-11-07T05:31:56Z",
"cancellation_reason": "<string>",
"canceled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"trigger_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"payload": {},
"correlation": {
"key": "<string>",
"value": "<string>"
},
"occurred_at": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"status": "<string>",
"branch_taken": "<string>",
"input": "<string>",
"output": "<string>",
"last_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"waits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"waiting_for_event_name": "<string>",
"status": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"timeout_at": "2023-11-07T05:31:56Z",
"resumed_at": "2023-11-07T05:31:56Z",
"timed_out_at": "2023-11-07T05:31:56Z",
"outcome_branch": "<string>",
"resumed_by_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"occurred_at": "2023-11-07T05:31:56Z"
}
}
],
"linked_emails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"linked_push_notifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"waits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"waiting_for_event_name": "<string>",
"status": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"timeout_at": "2023-11-07T05:31:56Z",
"resumed_at": "2023-11-07T05:31:56Z",
"timed_out_at": "2023-11-07T05:31:56Z",
"outcome_branch": "<string>",
"resumed_by_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"occurred_at": "2023-11-07T05:31:56Z"
}
}
],
"sent_emails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"sent_push_notifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}⌘I